# Laurent - 3.0-0.1mdk - Temporary macros. To remove later
%define _prefix         /opt/kde3/
%define _exec-prefix    /opt/kde3/
%define _bindir         /opt/kde3/bin/
%define _sbindir        /opt/kde3/sbin/
%define _sysconfdir     /opt/kde3/etc/
%define _datadir        /opt/kde3/share/
%define _includedir     /opt/kde3/include/
%define _libdir         /opt/kde3/lib/
%define _libexecdir     /opt/kde3/lib/
%define _localstatedir  /opt/kde3/var/lib/
%define _sharedstatedir /opt/kde3/com/
%define _mandir         /opt/kde3/share/man/
%define _infodir        /opt/kde3/share/info/
%define _docdir         /opt/kde3/share/doc/

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		kde-i18n-ru3
Summary:	Russian language support for KDE
Version:	3.0.2
Release:	1mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		kde-i18n-ru-%{version}.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	locales-ru
BuildArch:	noarch

%description
Russian language support for KDE.

%prep

%setup -q -n kde-i18n-ru

%build
%configure

%make


%install
rm -fr %buildroot

# Dadou - 2.2-0.beta1.1mdk - Workaroud for a buggy Makefile...
rm -f $RPM_BUILD_DIR/%name/docs/kdelibs/api/install-dep.entities

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/ru/
#
#
%dir %_docdir/HTML/ru/ksirtet/
%doc %_docdir/HTML/ru/ksirtet/common
%doc %_docdir/HTML/ru/ksirtet/index.cache.bz2
%doc %_docdir/HTML/ru/ksirtet/index.docbook
#
%dir %_docdir/HTML/ru/common/
%doc %_docdir/HTML/ru/common/fdl-license
%doc %_docdir/HTML/ru/common/gpl-license
%doc %_docdir/HTML/ru/common/*.css
%doc %_docdir/HTML/ru/common/*.dcl
%doc %_docdir/HTML/ru/common/*.html
%doc %_docdir/HTML/ru/common/*.png
#
#
%dir %_docdir/HTML/ru/kandy/
%doc %_docdir/HTML/ru/kandy/common
%doc %_docdir/HTML/ru/kandy/*.docbook
%doc %_docdir/HTML/ru/kandy/*.bz2
#
#
#
#
%dir %_docdir/HTML/ru/kcontrol/
%doc %_docdir/HTML/ru/kcontrol/*.docbook
#
%dir %_docdir/HTML/ru/kicker/
%doc %_docdir/HTML/ru/kicker/common
%doc %_docdir/HTML/ru/kicker/*.docbook
%doc %_docdir/HTML/ru/kicker/*.bz2
#
%dir %_docdir/HTML/ru/khelpcenter/
%doc %_docdir/HTML/ru/khelpcenter/*.css
%doc %_docdir/HTML/ru/khelpcenter/*.docbook
%doc %_docdir/HTML/ru/khelpcenter/*.html
%doc %_docdir/HTML/ru/khelpcenter/*.png
%doc %_docdir/HTML/ru/khelpcenter/*.bz2
%dir %_docdir/HTML/ru/khelpcenter/quickstart/
%doc %_docdir/HTML/ru/khelpcenter/quickstart/*.docbook
%doc %_docdir/HTML/ru/khelpcenter/quickstart/*.bz2
%dir %_docdir/HTML/ru/khelpcenter/faq/
%doc %_docdir/HTML/ru/khelpcenter/faq/*.docbook
%doc %_docdir/HTML/ru/khelpcenter/faq/*.bz2
%dir %_docdir/HTML/ru/khelpcenter/glossary/
%doc %_docdir/HTML/ru/khelpcenter/glossary/*.docbook
%dir %_docdir/HTML/ru/khelpcenter/userguide/
%doc %_docdir/HTML/ru/khelpcenter/userguide/*.docbook
%dir %_docdir/HTML/ru/khelpcenter/visualdict/
%doc %_docdir/HTML/ru/khelpcenter/visualdict/*.bz2
%doc %_docdir/HTML/ru/khelpcenter/visualdict/*.docbook
#


%dir %_docdir/HTML/ru/kicker-applets/
%doc %_docdir/HTML/ru/kicker-applets/common
%doc %_docdir/HTML/ru/kicker-applets/*.docbook
%doc %_docdir/HTML/ru/kicker-applets/*.bz2
#
%dir %_docdir/HTML/ru/ktalkd/
%doc %_docdir/HTML/ru/ktalkd/common
%doc %_docdir/HTML/ru/ktalkd/*.docbook
%doc %_docdir/HTML/ru/ktalkd/*.bz2
#
%dir %_docdir/HTML/ru/kate-plugins/
%doc %_docdir/HTML/ru/kate-plugins/*.docbook
#
%dir %_docdir/HTML/ru/knu/
%doc %_docdir/HTML/ru/knu/*.png
#
#
%dir %_docdir/HTML/ru/kodo/
%doc %_docdir/HTML/ru/kodo/common
%doc %_docdir/HTML/ru/kodo/*.docbook
%doc %_docdir/HTML/ru/kodo/*.bz2
#
%dir %_docdir/HTML/ru/kbattleship/
%doc %_docdir/HTML/ru/kbattleship/common
%doc %_docdir/HTML/ru/kbattleship/*.docbook
%doc %_docdir/HTML/ru/kbattleship/*.bz2
#
#
%dir %_docdir/HTML/ru/kppp/
%doc %_docdir/HTML/ru/kppp/*.docbook
%doc %_docdir/HTML/ru/kppp/*.bz2
%doc %_docdir/HTML/ru/kppp/common
#
#
%dir %_docdir/HTML/ru/kscd/
%doc %_docdir/HTML/ru/kscd/common
%doc %_docdir/HTML/ru/kscd/*.docbook
%doc %_docdir/HTML/ru/kscd/*.bz2
#
%dir %_docdir/HTML/ru/ksnapshot/
%doc %_docdir/HTML/ru/ksnapshot/common
%doc %_docdir/HTML/ru/ksnapshot/*.docbook
%doc %_docdir/HTML/ru/ksnapshot/*.bz2
#
%dir %_docdir/HTML/ru/kwuftpd/
%doc %_docdir/HTML/ru/kwuftpd/common
%doc %_docdir/HTML/ru/kwuftpd/*.docbook
%doc %_docdir/HTML/ru/kwuftpd/*.bz2
#
%dir %_docdir/HTML/ru/kworldclock/
%doc %_docdir/HTML/ru/kworldclock/common
%doc %_docdir/HTML/ru/kworldclock/*.docbook
%doc %_docdir/HTML/ru/kworldclock/*.bz2
#
%dir %_docdir/HTML/ru/noatun/
%doc %_docdir/HTML/ru/noatun/common
%doc %_docdir/HTML/ru/noatun/*.docbook
%doc %_docdir/HTML/ru/noatun/*.bz2
#
%dir %_docdir/HTML/ru/kmix/
%doc %_docdir/HTML/ru/kmix/common
%doc %_docdir/HTML/ru/kmix/*.docbook
%doc %_docdir/HTML/ru/kmix/*.bz2
#
%dir %_docdir/HTML/ru/kpager/
%doc %_docdir/HTML/ru/kpager/common
%doc %_docdir/HTML/ru/kpager/*.docbook
%doc %_docdir/HTML/ru/kpager/*.bz2
#
%dir %_docdir/HTML/ru/kstars/
%doc %_docdir/HTML/ru/kstars/*.docbook
#
%dir %_datadir/locale/
%dir %_datadir/locale/ru/
%_datadir/locale/ru/charset
%_datadir/locale/ru/*.desktop
%_datadir/locale/ru/*.png
#
#
%dir %_datadir/locale/ru/LC_MESSAGES/
%_datadir/locale/ru/LC_MESSAGES/*.mo


%changelog
* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Sun Apr 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- update

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Mon Feb 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
-

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0beta1

* Wed Nov 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- update code

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Tue Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- remove koffice messages

* Tue Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Sat Aug 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sun Jun 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
